## ros-one-rospatlite 2.1.31-19jammy.20251023.0758

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rospatlite)

find_package(catkin REQUIRED)

catkin_package(
  DEPENDS
  CATKIN_DEPENDS std_msgs rospy
  )

install(DIRECTORY launch scripts
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS)

=== debian/changelog ===
ros-one-rospatlite (2.1.31-19jammy.20251023.0758) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Takuya Nakaoka <nakaokat@gmail.com>  Thu, 23 Oct 2025 07:58:19 +0000

ros-one-rospatlite (2.1.31-0jammy) jammy; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Tue, 13 May 2025 00:00:00 -0000

ros-one-rospatlite (2.1.30-0jammy) jammy; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Sat, 10 May 2025 00:00:00 -0000

ros-one-rospatlite (2.1.29-0jammy) jammy; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Sun, 05 Jan 2025 00:00:00 -0000

ros-one-rospatlite (2.1.28-0jammy) jammy; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Mon, 24 Jul 2023 00:00:00 -0000

ros-one-rospatlite (2.1.27-0jammy) jammy; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Sat, 24 Jun 2023 00:00:00 -0000

ros-one-rospatlite (2.1.26-0jammy) jammy; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Wed, 14 Jun 2023 00:00:00 -0000

ros-one-rospatlite (2.1.25-0jammy) jammy; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Thu, 08 Jun 2023 00:00:00 -0000

ros-one-rospatlite (2.1.24-0jammy) jammy; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Mon, 26 Jul 2021 00:00:00 -0000

ros-one-rospatlite (2.1.23-0jammy) jammy; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Wed, 21 Jul 2021 00:00:00 -0000

ros-one-rospatlite (2.1.22-0jammy) jammy; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Thu, 10 Jun 2021 00:00:00 -0000

ros-one-rospatlite (2.1.21-0jammy) jammy; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Wed, 19 Aug 2020 00:00:00 -0000

ros-one-rospatlite (2.1.20-0jammy) jammy; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Fri, 07 Aug 2020 00:00:00 -0000

ros-one-rospatlite (2.1.19-0jammy) jammy; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Tue, 21 Jul 2020 00:00:00 -0000

ros-one-rospatlite (2.1.18-0jammy) jammy; urgency=high

  * Fix for noetic (#200 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/200>)
    
      * fix 2to3, with print, raise, exception
    
  * Contributors: Kei Okada

 -- Takuya Nakaoka <nakaokat@gmail.com>  Mon, 20 Jul 2020 00:00:00 -0000

ros-one-rospatlite (2.1.17-0jammy) jammy; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Thu, 16 Apr 2020 00:00:00 -0000

ros-one-rospatlite (2.1.16-0jammy) jammy; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Thu, 16 Apr 2020 00:00:00 -0000

ros-one-rospatlite (2.1.15-0jammy) jammy; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Thu, 12 Dec 2019 00:00:00 -0000

ros-one-rospatlite (2.1.14-0jammy) jammy; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Thu, 21 Nov 2019 00:00:00 -0000

ros-one-rospatlite (2.1.13-0jammy) jammy; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Wed, 10 Jul 2019 00:00:00 -0000

ros-one-rospatlite (2.1.12-0jammy) jammy; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Sat, 25 May 2019 00:00:00 -0000

ros-one-rospatlite (2.1.11-0jammy) jammy; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Wed, 29 Aug 2018 00:00:00 -0000

ros-one-rospatlite (2.1.10-0jammy) jammy; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Wed, 25 Apr 2018 00:00:00 -0000

ros-one-rospatlite (2.1.9-0jammy) jammy; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Tue, 24 Apr 2018 00:00:00 -0000

ros-one-rospatlite (2.1.8-0jammy) jammy; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Tue, 17 Apr 2018 00:00:00 -0000

ros-one-rospatlite (2.1.7-0jammy) jammy; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Mon, 09 Apr 2018 00:00:00 -0000

ros-one-rospatlite (2.1.6-0jammy) jammy; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Tue, 21 Nov 2017 00:00:00 -0000

ros-one-rospatlite (2.1.5-0jammy) jammy; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Mon, 20 Nov 2017 00:00:00 -0000

ros-one-rospatlite (2.1.4-0jammy) jammy; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Sun, 16 Jul 2017 00:00:00 -0000

ros-one-rospatlite (2.1.3-0jammy) jammy; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Fri, 07 Jul 2017 00:00:00 -0000

ros-one-rospatlite (2.1.2-0jammy) jammy; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Thu, 06 Jul 2017 00:00:00 -0000

ros-one-rospatlite (2.1.1-0jammy) jammy; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Wed, 05 Jul 2017 00:00:00 -0000

ros-one-rospatlite (2.1.0-0jammy) jammy; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Sun, 02 Jul 2017 00:00:00 -0000

ros-one-rospatlite (2.0.20-0jammy) jammy; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Tue, 09 May 2017 00:00:00 -0000

ros-one-rospatlite (2.0.19-0jammy) jammy; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Wed, 22 Feb 2017 00:00:00 -0000

ros-one-rospatlite (2.0.18-0jammy) jammy; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Fri, 28 Oct 2016 00:00:00 -0000

ros-one-rospatlite (2.0.17-0jammy) jammy; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Sat, 22 Oct 2016 00:00:00 -0000

ros-one-rospatlite (2.0.16-0jammy) jammy; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Mon, 17 Oct 2016 00:00:00 -0000

ros-one-rospatlite (2.0.15-0jammy) jammy; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Sun, 16 Oct 2016 00:00:00 -0000

ros-one-rospatlite (2.0.14-0jammy) jammy; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Sun, 20 Mar 2016 00:00:00 -0000

ros-one-rospatlite (2.0.13-0jammy) jammy; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Tue, 15 Dec 2015 00:00:00 -0000

ros-one-rospatlite (2.0.12-0jammy) jammy; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Thu, 26 Nov 2015 00:00:00 -0000

ros-one-rospatlite (2.0.11-0jammy) jammy; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Wed, 07 Oct 2015 00:00:00 -0000

ros-one-rospatlite (2.0.10-0jammy) jammy; urgency=high





=== debian/control ===
Source: ros-one-rospatlite
Section: misc
Priority: optional
Maintainer: Takuya Nakaoka <nakaokat@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-rospy, ros-one-std-msgs
Homepage: http://ros.org/wiki/rospatlite
Standards-Version: 3.9.2

Package: ros-one-rospatlite
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-rospy, ros-one-std-msgs
Description: rospatlite

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-rospatlite//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-rospatlite 2.1.31-19jammy.20260220.2135

=== debian/changelog ===
ros-one-rospatlite (2.1.31-19jammy.20260220.2135) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Takuya Nakaoka <nakaokat@gmail.com>  Fri, 20 Feb 2026 21:35:53 +0000

## ros-one-rospatlite 2.1.31-19noble.20260220.2142

=== debian/changelog ===
ros-one-rospatlite (2.1.31-19noble.20260220.2142) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Takuya Nakaoka <nakaokat@gmail.com>  Fri, 20 Feb 2026 21:42:19 +0000

ros-one-rospatlite (2.1.31-0noble) noble; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Tue, 13 May 2025 00:00:00 -0000

ros-one-rospatlite (2.1.30-0noble) noble; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Sat, 10 May 2025 00:00:00 -0000

ros-one-rospatlite (2.1.29-0noble) noble; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Sun, 05 Jan 2025 00:00:00 -0000

ros-one-rospatlite (2.1.28-0noble) noble; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Mon, 24 Jul 2023 00:00:00 -0000

ros-one-rospatlite (2.1.27-0noble) noble; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Sat, 24 Jun 2023 00:00:00 -0000

ros-one-rospatlite (2.1.26-0noble) noble; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Wed, 14 Jun 2023 00:00:00 -0000

ros-one-rospatlite (2.1.25-0noble) noble; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Thu, 08 Jun 2023 00:00:00 -0000

ros-one-rospatlite (2.1.24-0noble) noble; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Mon, 26 Jul 2021 00:00:00 -0000

ros-one-rospatlite (2.1.23-0noble) noble; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Wed, 21 Jul 2021 00:00:00 -0000

ros-one-rospatlite (2.1.22-0noble) noble; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Thu, 10 Jun 2021 00:00:00 -0000

ros-one-rospatlite (2.1.21-0noble) noble; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Wed, 19 Aug 2020 00:00:00 -0000

ros-one-rospatlite (2.1.20-0noble) noble; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Fri, 07 Aug 2020 00:00:00 -0000

ros-one-rospatlite (2.1.19-0noble) noble; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Tue, 21 Jul 2020 00:00:00 -0000

ros-one-rospatlite (2.1.18-0noble) noble; urgency=high

  * Fix for noetic (#200 <https://github.com/jsk-ros-pkg/jsk_3rdparty/issues/200>)
    
      * fix 2to3, with print, raise, exception
    
  * Contributors: Kei Okada

 -- Takuya Nakaoka <nakaokat@gmail.com>  Mon, 20 Jul 2020 00:00:00 -0000

ros-one-rospatlite (2.1.17-0noble) noble; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Thu, 16 Apr 2020 00:00:00 -0000

ros-one-rospatlite (2.1.16-0noble) noble; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Thu, 16 Apr 2020 00:00:00 -0000

ros-one-rospatlite (2.1.15-0noble) noble; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Thu, 12 Dec 2019 00:00:00 -0000

ros-one-rospatlite (2.1.14-0noble) noble; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Thu, 21 Nov 2019 00:00:00 -0000

ros-one-rospatlite (2.1.13-0noble) noble; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Wed, 10 Jul 2019 00:00:00 -0000

ros-one-rospatlite (2.1.12-0noble) noble; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Sat, 25 May 2019 00:00:00 -0000

ros-one-rospatlite (2.1.11-0noble) noble; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Wed, 29 Aug 2018 00:00:00 -0000

ros-one-rospatlite (2.1.10-0noble) noble; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Wed, 25 Apr 2018 00:00:00 -0000

ros-one-rospatlite (2.1.9-0noble) noble; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Tue, 24 Apr 2018 00:00:00 -0000

ros-one-rospatlite (2.1.8-0noble) noble; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Tue, 17 Apr 2018 00:00:00 -0000

ros-one-rospatlite (2.1.7-0noble) noble; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Mon, 09 Apr 2018 00:00:00 -0000

ros-one-rospatlite (2.1.6-0noble) noble; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Tue, 21 Nov 2017 00:00:00 -0000

ros-one-rospatlite (2.1.5-0noble) noble; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Mon, 20 Nov 2017 00:00:00 -0000

ros-one-rospatlite (2.1.4-0noble) noble; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Sun, 16 Jul 2017 00:00:00 -0000

ros-one-rospatlite (2.1.3-0noble) noble; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Fri, 07 Jul 2017 00:00:00 -0000

ros-one-rospatlite (2.1.2-0noble) noble; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Thu, 06 Jul 2017 00:00:00 -0000

ros-one-rospatlite (2.1.1-0noble) noble; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Wed, 05 Jul 2017 00:00:00 -0000

ros-one-rospatlite (2.1.0-0noble) noble; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Sun, 02 Jul 2017 00:00:00 -0000

ros-one-rospatlite (2.0.20-0noble) noble; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Tue, 09 May 2017 00:00:00 -0000

ros-one-rospatlite (2.0.19-0noble) noble; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Wed, 22 Feb 2017 00:00:00 -0000

ros-one-rospatlite (2.0.18-0noble) noble; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Fri, 28 Oct 2016 00:00:00 -0000

ros-one-rospatlite (2.0.17-0noble) noble; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Sat, 22 Oct 2016 00:00:00 -0000

ros-one-rospatlite (2.0.16-0noble) noble; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Mon, 17 Oct 2016 00:00:00 -0000

ros-one-rospatlite (2.0.15-0noble) noble; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Sun, 16 Oct 2016 00:00:00 -0000

ros-one-rospatlite (2.0.14-0noble) noble; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Sun, 20 Mar 2016 00:00:00 -0000

ros-one-rospatlite (2.0.13-0noble) noble; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Tue, 15 Dec 2015 00:00:00 -0000

ros-one-rospatlite (2.0.12-0noble) noble; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Thu, 26 Nov 2015 00:00:00 -0000

ros-one-rospatlite (2.0.11-0noble) noble; urgency=high



 -- Takuya Nakaoka <nakaokat@gmail.com>  Wed, 07 Oct 2015 00:00:00 -0000

ros-one-rospatlite (2.0.10-0noble) noble; urgency=high
